/* 跨品种分析 */
import { get,post } from "./index";
export default {
  
    /**
     * 图表详情
     * @param {*} params  ChartInfoId
     * @returns 
     */
    chartDetail: params => {
      return get('/cross_variety/chart_info/detail',params)
    },

    /**
     * 设置英文
     * @param {*} params  ChartInfoId ChartNameEn
     */
    editChartEn: params => {
      return post('/cross_variety/chart_info/en/edit',params)
    },

    /**
     * 图表搜索
     * @param {*} params Keyword
     * @returns 
     */
    searchChart: params => {
      return get('/cross_variety/chart_info/search_by_es',params)
    },

    /**
     * 刷新图表
     * @param {*} params ChartInfoId
     * @returns 
     */
    refreshChart: params => {
      return get('/cross_variety/chart_info/refresh',params)
    },

    /**
     * 图表另存为
     * @param {*} params ChartInfoId ChartName
     * @returns 
     */
    saveOtherChart: params => {
      return post('/cross_variety/chart_info/copy',params)
    },
    
    /**
     * 编辑英文名称
     * @param {*} params 
     * @returns 
     */
    editChartEn: params => {
      return post('/cross_variety/chart_info/en/edit',params)
    },

     /**
     * 图表设置语言配置信息
     * @param {*} params  ChartInfoId
     * @returns 
     */
    chartLangOption: params => {
      return get('/cross_variety/chart_info/relation',params)
    },

    /**
     * 图表保存上下限
     * @param {*} params  ChartInfoId
     */
    myETASaveChart: params => {
      return post('/cross_variety/chart_info/save',params)
    }
}